Bug 55796 - cpqhealth module breaks on upgrade to kernel 2.4.9 as identified in security fix errata
cpqhealth module breaks on upgrade to kernel 2.4.9 as identified in security ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-06 15:27 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 16:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-06 15:27:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (WinNT; U)

Description of problem:
cqphealth driver installed on Compaq ML350 server and working properly on original kernel 2.4.2.  Installed update package for kernel 2.4.9 to address 
known security bug.  The updated kernel identified a bug while loading old and new version of cpqhealth module.   Kernel diagnostic provided below.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Linux 7.1 with kernel-2.4.9-6 (i586) running on Compaq ML350 server with installed cpqhealth driver either version 2.1.0 or 2.2.0
2. Attempt to boot 
3. Kernel bug report will be generated and the cpqhealth module will fail to initialize (as reported by lsmod) or operate.
4. Kernel boot will complete and system will be usable, minus wellness driver functionality.
	

Actual Results:  System in operation without health driver functionality.  Obvious symptom, fan always at high speed.

Expected Results:  The upgraded kernel should not have failed to properly initialize the module

Additional info:

Nov  6 13:35:40 AB313588 kernel: ------------[ cut here ]------------
Nov  6 13:35:40 AB313588 kernel: kernel BUG at slab.c:1096!
Nov  6 13:35:40 AB313588 kernel: invalid operand: 0000
Nov  6 13:35:40 AB313588 kernel: CPU:    0
Nov  6 13:35:40 AB313588 kernel: EIP:    0010:[kmem_cache_grow+38/560]    Not ta
inted
Nov  6 13:35:40 AB313588 kernel: EIP:    0010:[<c012af26>]    Not tainted
Nov  6 13:35:40 AB313588 kernel: EFLAGS: 00010282
Nov  6 13:35:40 AB313588 kernel: eax: 0000001b   ebx: 00000007   ecx: c02cc5c4  
 edx: 00001dd5
Nov  6 13:35:40 AB313588 kernel: esi: c1824490   edi: c1824490   ebp: 00000007  
 esp: c9bb7e40
Nov  6 13:35:40 AB313588 kernel: ds: 0018   es: 0018   ss: 0018
Nov  6 13:35:40 AB313588 kernel: Process insmod (pid: 1106, stackpage=c9bb7000)
Nov  6 13:35:40 AB313588 kernel: Stack: c0217ee6 00000448 00000206 c02cdb44 0000
0000 c02cdb00 c02cdb00 c02cdce4
Comment 1 Arjan van de Ven 2001-11-06 15:29:35 EST
As we don't ship this module, could you point me to the source of it so I can
have a look at what it does ?
Comment 2 Need Real Name 2001-11-06 15:38:40 EST
ftp://ftp.compaq.com/pub/products/servers/supportsoftware/linux/redhat/cpqhealth-2.2.0-11.Redhat7_1.i386.rpm

I also tried to send the message logs for the failure, but my proxy blocks that.  Do you need this?  Should I post it here?
Comment 3 Arjan van de Ven 2001-11-06 15:57:45 EST
This does not have sourcecode for the module unfortionatly, and google shows no
code anywhere which makes this look like a binary only module; Only Compaq can
help you with that.

Note You need to log in before you can comment on or make changes to this bug.